# OpenGl_tgl_subrvis.h File Reference

`#include <InterfaceGraphic_Graphic3d.hxx>`
`#include <InterfaceGraphic_Visual3d.hxx>`
`#include <OpenGl_telem.h>`

## Defines

#define | RIC120302

## Functions

int | call_subr_displayCB (CALL_DEF_VIEW *, int)
int | call_subr_open_ws (CALL_DEF_VIEW *)
void | call_subr_enable_polygon_offset ()
void | call_subr_disable_polygon_offset ()
void | call_subr_resize (CALL_DEF_VIEW *)
void | call_subr_antialiasing (CALL_DEF_VIEW *, Tint)
void | call_subr_hlhsr (CALL_DEF_VIEW *, Tint)
void | call_subr_depthcueing (CALL_DEF_VIEW *, Tint)
TStatus | call_subr_get_view_index (Tint, Tint *)
void | call_subr_pick (CALL_DEF_PICK *)
void | call_subr_set_light_src_rep (CALL_DEF_LIGHT *)
void | call_subr_set_background (Tint, tel_colour)
void | call_subr_close_ws (CALL_DEF_VIEW *)
void | call_util_setvisualization (CALL_DEF_VIEW *, int, int)
void | call_subr_transparency (int, int, int)

## Define Documentation

#define RIC120302

## Function Documentation

void call_subr_antialiasing | ( | CALL_DEF_VIEW * | ,
|  | Tint |
| ) |

void call_subr_close_ws | ( | CALL_DEF_VIEW * |  | ) |

void call_subr_depthcueing | ( | CALL_DEF_VIEW * | ,
|  | Tint |
| ) |

void call_subr_disable_polygon_offset | ( |  | ) |

int call_subr_displayCB | ( | CALL_DEF_VIEW * | ,
|  | int |
| ) |

void call_subr_enable_polygon_offset | ( |  | ) |

TStatus call_subr_get_view_index | ( | Tint | ,
|  | Tint * |
| ) |

void call_subr_hlhsr | ( | CALL_DEF_VIEW * | ,
|  | Tint |
| ) |

int call_subr_open_ws | ( | CALL_DEF_VIEW * |  | ) |

void call_subr_pick | ( | CALL_DEF_PICK * |  | ) |

void call_subr_resize | ( | CALL_DEF_VIEW * |  | ) |

void call_subr_set_background | ( | Tint | ,
|  | tel_colour |
| ) |

void call_subr_set_light_src_rep | ( | CALL_DEF_LIGHT * |  | ) |

void call_subr_transparency | ( | int | ,
|  | int | ,
|  | int |
| ) |

void call_util_setvisualization | ( | CALL_DEF_VIEW * | ,
|  | int | ,
|  | int |
| ) |